This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 1052524 - Review Request: rubygem-redcard - Library for matching Ruby implementation versions
Review Request: rubygem-redcard - Library for matching Ruby implementation ve...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2014-01-13 16:25 EST by Henrik Hodne
Modified: 2016-05-26 19:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Henrik Hodne 2014-01-13 16:25:00 EST
Spec URL: https://hodne.io/~henrikhodne/fedora/rubygem-redcard.spec
SRPM URL: https://hodne.io/~henrikhodne/fedora/rubygem-redcard-1.1.0-1.fc19.src.rpm
Description: RedCard provides a standard way to ensure that the running Ruby implementation matches the desired language version, implementation, and implementation version.
Fedora Account System Username: henrikhodne
Comment 1 Ken Dreyer 2014-01-13 17:03:09 EST
Hi Henrik,

Thanks for contributing this to Fedora. A couple of observations:

1. Why is the test suite not run in %check?

2. LICENSE should be marked as %doc.

3. I recommend moving README.md out of the -doc subpackage and into the main package.

4. I recommend excluding Rakefile, Gemfile, and %{gem_instdir}/redcard.gemspec.

For example, immediately after %gem_install, I usually insert the following "rm" command:

  ...

  %gem_install

  # Remove unnecessary gemspec file
  rm .%{gem_instdir}/%{gem_name}.gemspec

5. gem2rpm leaves trailing whitespace on a couple lines. Please remove this.
Comment 2 Henrik Hodne 2014-01-13 17:16:43 EST
Thank you! Replies are in-line below:

> 1. Why is the test suite not run in %check?
> 2. LICENSE should be marked as %doc.
> 3. I recommend moving README.md out of the -doc subpackage and into the main package.

Fixed, fixed and moved.

> 4. I recommend excluding Rakefile, Gemfile, and %{gem_instdir}/redcard.gemspec.
> 
> For example, immediately after %gem_install, I usually insert the following "rm" command:
> 
>   ...
> 
>   %gem_install
> 
>   # Remove unnecessary gemspec file
>   rm .%{gem_instdir}/%{gem_name}.gemspec

I marked them as %exclude now. I can rm them instead if you think that is better?

> 5. gem2rpm leaves trailing whitespace on a couple lines. Please remove this.

Where are you seeing trailing whitespaces? I couldn't find any in the spec file.


I uploaded the new spec and SRPM in the same location as listed above.
Comment 3 Ken Dreyer 2014-01-13 17:59:20 EST
(In reply to Henrik Hodne from comment #2)
> Where are you seeing trailing whitespaces? I couldn't find any in the spec
> file.

You're quite right about the whitespace being fixed; my bad!

> I uploaded the new spec and SRPM in the same location as listed above.

It's not strictly required, but it's a good idea to bump the release number and upload a new SRPM. This feels a little bureaucratic, but it will show potential sponsors that you understand the process of bugfixing and releasing new versions in Fedora. (In Fedora's build system, Koji, every new build requires a unique NEVR, Name-Epoch-Version-Release combination).

Another thing that will help with getting sponsored is submitting more than one package, or in particular, doing unofficial reviews of others' packages. Either approach will show sponsors that you understand the Fedora guidelines and you're a reasonable person to work with :)
Comment 4 Henrik Hodne 2014-01-13 18:09:36 EST
(In reply to Ken Dreyer from comment #3)
> (In reply to Henrik Hodne from comment #2)
> > I uploaded the new spec and SRPM in the same location as listed above.
> 
> It's not strictly required, but it's a good idea to bump the release number
> and upload a new SRPM. This feels a little bureaucratic, but it will show
> potential sponsors that you understand the process of bugfixing and
> releasing new versions in Fedora. (In Fedora's build system, Koji, every new
> build requires a unique NEVR, Name-Epoch-Version-Release combination).

Ah, I'll do that in the future then. I didn't do it this time since the package hadn't been released, but I have no problem bumping it in the future for bugfixes even if the previous ones haven't been released.

> Another thing that will help with getting sponsored is submitting more than
> one package, or in particular, doing unofficial reviews of others' packages.
> Either approach will show sponsors that you understand the Fedora guidelines
> and you're a reasonable person to work with :)

I already have one other package submitted: the_silver_searcher (bug 1008063). I also have a few other RubyGems packages I want to submit (all dependencies of Rubinius, which I also have mostly working locally, but since it depends on some RubyGems I figured I'd start with those). I just started with this one to check if I was on the right track for packaging RubyGems.

Thanks for the tips!
Comment 5 Athos Ribeiro 2016-05-26 19:10:14 EDT
Links for spec file and srpm are broken.

Note You need to log in before you can comment on or make changes to this bug.